/people

Manually add a new person.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

❗️

Avoid sending leads through /v1/people!

Do not use POST /v1/people to send leads into Follow Up Boss. This will only create the person and will not run any automations.

The best way to send leads into Follow Up Boss from an IDX website, real estate portal, your custom website or any other lead source is to use event notifications (POST /v1/events).

Advantages of using this method include:

  • Avoid creating duplicates. Follow Up Boss will automatically search for an existing contact and update it.
  • Event information (inquiry, viewed property, saved property as a favorite, etc) is recorded and shown in contact history and the dashboard.
  • Agent is notified about new lead via email / text message.
  • Action plans are applied to the lead (if configured).
  • Correct agent is assigned as per the Lead Flow screen.
  • Automatically searches for social profiles.

🚧

Source Information Can Only Be Set on Creation

The source and sourceUrl fields can only be set once on the creation of a person. This cannot be changed via the PUT request.

📘

Custom Fields

If the account has custom fields defined, you can also set these when adding a person. You can use the customFields endpoint to see which custom fields are available in the current account.

Query Params
boolean
Defaults to false

By default new people will be created even if there are existing people with the same email or phone. By passing true, deduplication logic will be used and, if a person is found, a 200 response will be returned along with response data for that existing person. No changes will be made based on the payload.

Body Params
date

Will set the creation time for the person, if wanting to create historical leads.

string

The first/given name of the person.

string

The last/family name of the person.

string
Defaults to Lead

The stage the person is in. (e.g., "Lead" or "Trash". See stage API endpoint for more options.)

string

The source of the lead.

string

This is a direct link to the information about a person at the lead provider.

boolean

Whether the person has been contacted or not.

int32

The price of the property of the person's first inquiry, or the estimated sell/buy price for this person.

string

Full name of the agent assigned to this person.

int32

ID of the agent assigned to this person.

int32

ID of the pond assigned to this person.

string

Full name of the lender assigned to this person.

int32

ID of the lender assigned to this person.

emails
array of objects

A list of email addresses associated with the person. (Specify type and value, isPrimary is not expected. The first email in the list will be the primary email address.)

emails
phones
array of objects

A list of phone numbers associated with the person. (Specify type and value, isPrimary is not expected. The first phone in the list will be the primary phone number.)

phones
addresses
array of objects

A list of addresses associated with the person. (These are the addresses where this person can be contacted, it is not the address of a property this person may be interested in selling or buying).

addresses
tags
array of strings

A list of tags applied to the person.

tags
string

Background information on the person. (Can be a multi-line string.)

collaborators
array of int32s

List of user ids to set as collaborators on this person. Not including a collaborator's user id in this array will remove them as a collaborator.

collaborators
string

You can include any of your Custom Fields in the request, these must be prefixed with "custom". For example, if you have a Closing Date custom field, the JSON key for that field will be customClosingDate. See Custom Fields for more about Custom Fields.

int32

ID of the timeframe to move (Refer to the /timeframes endpoint for valid values of timeframeId.)

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json